/fidelity/prospectprefill/maintain

Body·
  • dataSourceConnectionId
    Type: integer Format: int32

    Signed 32-bit integers (commonly used integer type).

  • formId
    Type: integer Format: int32

    Signed 32-bit integers (commonly used integer type).

  • productId
    Type: integer Format: int32

    Signed 32-bit integers (commonly used integer type).

  • prospectData
    Type: array object[] | null ·
  • prospectId
    Type: string | null
Responses
Request Example for post/fidelity/prospectprefill/maintain
curl https://websvcs.quikforms.com/rest/integrations/v1000/fidelity/prospectprefill/maintain \
  --request POST \
  --header 'Content-Type: application/json-patch+json' \
  --header 'Authorization: YOUR_SECRET_TOKEN' \
  --data '{
  "dataSourceConnectionId": 1,
  "productId": 1,
  "prospectId": null,
  "formId": 1,
  "prospectData": [
    {
      "level1FieldId": 1,
      "level2FieldId": 1,
      "level3FieldId": null,
      "value": null,
      "fieldName": null,
      "xmlTag": null,
      "role": null
    }
  ]
}'
{
  "errorCode": 1,
  "message": null,
  "errors": [
    {
      "message": null,
      "type": null
    }
  ],
  "warnings": [
    "string"
  ],
  "resultData": {
    "prospectId": null,
    "prospectSourceCode": null,
    "prospectStatus": null,
    "ownerId": null,
    "ownerPrefix": null,
    "ownerName": null,
    "ownerMiddleName": null,
    "ownerLastName": null,
    "ownerSuffix": null,
    "ownerSSNType": null,
    "ownerSSNNumber": null,
    "ownerEmploymentStatusCode": null,
    "ownerOcupation": null,
    "ownerEmployerName": null,
    "ownerDriverLicenseType": null,
    "ownerDriverLicenseId": null,
    "ownerDriverLicenseIssuingState": null,
    "ownerDOB": null,
    "statusCode": 1,
    "textResponse": null,
    "addresses": [
      {
        "type": null,
        "addressLine1": null,
        "addressLine2": null,
        "city": null,
        "state": null,
        "zip": null
      }
    ],
    "phones": [
      {
        "phoneNumber": null,
        "ext": null
      }
    ]
  }
}